# -*- coding: utf-8 -*-
from __future__ import absolute_import
import logging
import redis
from prod_config import redis_company_config, expire_time

log = logging.getLogger(__name__)

pool = redis.ConnectionPool(host=redis_company_config['host'], port=redis_company_config['port'],
                            password=redis_company_config['passwd'], db=redis_company_config['db'],
                            decode_responses=True)

my_redis = redis.Redis(connection_pool=pool)
expire_time = expire_time
