### 图库管理接口文档



管理账号及图片的信息，基于账号返回图片列表

TODO：



#### 1、获得图片列表

##### 接口地址

http://154.8.214.202:5015/interface/maps

##### 返回格式：json

##### 请求方式：get

##### 请求示范

http://154.8.214.202:5015/maps

http://154.8.214.202:5015/interface/maps?status=0

##### 请求参数说明

| 名称 | 类型  | 必填 | 说明                     |
| ---- | ----- | ---- | ------------------------ |
| user | vchar | 是   | 账号信息                 |
|      |       |      | 上述参数为空返回所有信息 |

##### 返回参数说明

| 名称  | 类型   | 必填 | 说明              |
| ----- | ------ | ---- | ----------------- |
| mapid | int    | 否   | 自动产生的图片ID  |
| user  | string | 是   | 账号              |
| url   | string | 是   | 图片存放的URL地址 |

##### 返回示例
{
  "code": 200,
  "message": [
    {
“url”:'xxxx',
      "user": "None"
    }
  ]
}

#### 2、新增图片信息

##### 接口地址

http://154.8.214.202:5015/interface/maps

##### 返回格式：json

##### 请求方式：post

##### 请求示范

http://154.8.214.202:5015/interface/maps

##### 请求参数说明

| 名称 | 类型   | 必填 | 说明     |
| ---- | ------ | ---- | -------- |
| url  | string | 是   | 图片存放的URL地址 |
| user | string | 是   | 登录账号 |

##### 返回参数说明

| 名称 | 类型 | 必填 | 说明     |
| ---- | ---- | ---- | -------- |
| code | int  | 是   | 返回状态 |
|      |      |      |          |

##### 返回示例

{
    "code": 200
}

#### 3、更改图片信息

##### 接口地址

http://154.8.214.202:5015/interface/mpas

##### 返回格式：json

##### 请求方式：put

##### 请求示范

http://154.8.214.202:5015/interface/maps

##### 请求参数说明

| 名称  | 类型   | 必填 | 说明           |
| ----- | ------ | ---- | -------------- |
| user  | string | 是   | 登录账号       |
| mapid | int    | 是   | 图片id(唯一值) |
| url   | string | 是   | 图片存放地址   |

##### 返回参数说明

| 名称 | 类型 | 必填 | 说明     |
| ---- | ---- | ---- | -------- |
| code | int  | 是   | 返回状态 |
|      |      |      |          |

##### 返回示例

{
    "code": 200
}

#### 4、删除图片信息

##### 接口地址

http://154.8.214.202:5015/interface/maps
##### 返回格式：json

##### 请求方式：delete

##### 请求示范

http://154.8.214.202:5015/interface/maps?mapid=1006

##### 请求参数说明

| 名称  | 类型 | 必填 | 说明           |
| ----- | ---- | ---- | -------------- |
| mapid | int  | 是   | 图片id(唯一值) |

##### 返回参数说明

| 名称 | 类型 | 必填 | 说明     |
| ---- | ---- | ---- | -------- |
| code | int  | 是   | 返回状态 |
|      |      |      |          |

##### 返回示例

{
    "code": 200
}