# -*- coding: utf-8 -*-
# 文件上传接口，现网将部署到ops-manager服务器
from __future__ import absolute_import
# pip install flask-restful
from flask import Flask, jsonify
from flask_restful import reqparse, abort, Api, Resource
from log.mylog import define_logger
import logging
from oss_api import Cos_sdk


define_logger("/data/logs/uplog.log")
log = logging.getLogger(__name__)

app = Flask(__name__)
api = Api(app)

# 设置路由
api.add_resource(Cos_sdk, '/cos')


if __name__ == '__main__':
	app.run(host='0.0.0.0', debug=True, port=9999)
